$(document).ready(function () {
    $("body").on("change blur", '.shift,.vouchdt', getData);
    $("body").on("blur change keyup", '.opendip, .openltrs, .adddip, .addltrs, .closedip, .closeltrs', calData);
    $("body").on("blur", '.opendip', getCap);
    $("body").on("blur", '.adddip', getCap1);
    $("body").on("blur", '.closedip', getCap2);
    $("body").on("change", '.sale', chk);




    function getCap() {
        var tr = $(this).closest("tr"),
                tankno = tr.find(".tankno").val(),
                opendip = tr.find(".opendip").val(),
                openltrs = tr.find(".openltrs").val();

        if (opendip > 0 && openltrs <= 0) {
            $.post('get_dipconv.php', {opendip: opendip, tankno: tankno}, function (data) {
                $(".openltrs").val(data);
            });
        }
    }

    function getCap1() {
        var tr = $(this).closest("tr"),
                tankno = tr.find(".tankno").val(),
                adddip = tr.find(".adddip").val(),
                addltrs = tr.find(".addltrs").val();

        if (adddip > 0 && addltrs <= 0) {
            $.post('get_dipconv.php', {adddip: adddip, tankno: tankno}, function (data) {
                $(".addltrs").val(data);
            });
        }
    }

    function getCap2() {
        var tr = $(this).closest("tr"),
                tankno = tr.find(".tankno").val(),
                closedip = tr.find(".closedip").val(),
                closeltrs = tr.find(".closeltrs").val();

        if (closedip > 0 && closeltrs <= 0) {
            $.post('get_dipconv.php', {closedip: closedip, tankno: tankno}, function (data) {
                $(".closeltrs").val(data);
            });
        }
    }


    function chk() {
        $(".chgflag").val("1");
    }



    $(".sloader3").hide();
    $(".finishtab").click(function () {
        $(".saletab").hide();
        $("#scancel").hide();
        $(".finishtab").hide();
        $(".sloader3").show();

        var shift = $(".shift").val(),
                vouchdt = $(".vouchdt").val(),
                staff = $(".staff").val(),
                valid = true;


        if (shift == "") {
            alert('Shift Cannot Be Empty');
            return false;
            valid = false;
            $(".finishtab").show();
            $(".pumpprev").show();
            $(".saletab").show();
            $("#scancel").show();
            $(".sloader3").hide();

        }
        if (vouchdt == "0000-00-00" || vouchdt == "") {
            alert('Date Cannot Be Empty');
            return false;
            valid = false;
            $(".finishtab").show();
            $(".pumpprev").show();
            $(".saletab").show();
            $("#scancel").show();
            $(".sloader3").hide();

        }
        if (staff == "") {
            alert('Staff Cannot Be Empty');
            return false;
            valid = false;

            $(".finishtab").show();
            $(".pumpprev").show();
            $(".saletab").show();
            $("#scancel").show();
            $(".sloader3").hide();
        }

        if (valid) {
            var isValid = true;

            if (isValid) {
                $("#submit").show();
                $("#submit").click();

            }
        } 
    });

    $("#hedit").click(function () {
        $("#ssubmit").hide();

    })
    $("#ssubmit").hide();
    function calData() {
        var tr = $(this).closest("tr"),
//                tankno = tr.find(".tankno").val(),
//                opendip = tr.find(".opendip").val(),
//                adddip = tr.find(".adddip").val(),
//                closedip = tr.find(".closedip").val(),
                addltrs = tr.find(".addltrs").val(),
                closeltrs = tr.find(".closeltrs").val(),
                openltrs = tr.find(".openltrs").val(),
                sale = 0;

//        if (opendip > 0 && openltrs <= 0) {
//            $.post('get_dipconv.php', {opendip: opendip}, function (data) {
//                $(".openltrs").val(data);
//            });
//        }
//        if (closedip > 0 && closeltrs <= 0) {
//            $.post('get_dipconv.php', {closedip: opendip}, function (data) {
//                $(".closeltrs").val(data);
//            });
//        }
//        if (adddip > 0 && addltrs <= 0) {
//            $.post('get_dipconv.php', {adddip: adddip}, function (data) {
//                $(".addltrs").val(data);
//            });
//        }
//        var addltrs = tr.find(".addltrs").val(),
//                closeltrs = tr.find(".closeltrs").val(),
//                openltrs = tr.find(".openltrs").val(),
        sale = parseFloat(openltrs) + parseFloat(addltrs) - parseFloat(closeltrs);
        tr.find(".saleltrs").val(sale);
    }

    function getData() {
        var shift = $(".shift").val();
        var vouchdt = $(".vouchdt").val();
        var vouchno = $(".vouchno").val();
        var addflg = $(".addflg").val();
        if (addflg == 1) {
            if (shift != "") {
                $.post('get_dipread.php', {vouchdt: vouchdt, shift: shift, vouchno: vouchno}, function (data) {
                    if (data > 0) {
                        alert("Entry Already exist for this Shift & Date");
                        $(".shift").val("");
                        $(".shift").focus();
                        $("#ssubmit").hide();
                        $(".tbody").html("");

                    } else {
                        $(".tbody").html(data);
                    }
                });
            }
        }
    }














//    //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
//    $("body").on("keyup", ".csearch", getSearchData);
//    $("body").on("click", ".cload", getSearchData);
//    $("body").on("click", "#search", getSearchData);
//
//
//    $(".cnoRecord").hide();
//    $(".cloader").hide();
//
//    $(".searchModal").on('shown.bs.modal', function () {
//        $(".csearch").focus();
//        $(".csearch").val("");
//        $(".cfield").val("1");
//        getSearchData();
//    });
//
//    var imrangeFrom = 0,
//            imrangeTo = 40;
//
//    function getSearchData(pagination) {
//
//        $(".cloader").show();
//
//        if (pagination == 'prev') {
//            if (imrangeFrom > 0) {
//                imrangeFrom = (imrangeFrom - 40);
//                imrangeTo = (imrangeTo - 40);
//            }
//        }
//        if (pagination == 'next') {
//            imrangeFrom = (imrangeFrom + 40);
//            imrangeTo = (imrangeTo + 40);
//        }
//
//        var series = $(".series").val(),
//                vouchno = $(".vouchno").val(),
//                csearch = $(".csearch").val(),
//                cfield = $(".cfield").val(),
//                coperator = $(".coperator").val(),
//                data = {csearch: csearch, cfield: cfield, coperator: coperator,
//                    series: series, vouchno: vouchno, rangeFrom: imrangeFrom, rangeTo: imrangeTo},
//                values = "";
//        $.ajax({
//            type: 'GET',
//            dataType: 'json',
//            url: "cust_search.php",
//            data: data,
//            success: function (response) {
//                if (response == "") {
//                    $(".cnoRecord").show();
//                    $(".cnext").hide();
//                } else {
//                    $(".cnext").show();
//                    $(".cnoRecord").hide();
//
//                    $.each(response, function () {
//                        values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
//                                "<td align='left'>" + this.name + "</td>" +
//                                "<td align='left'>" + this.add1 + "</td>" +
//                                "<td align='left'>" + this.city + "</td>" +
//                                "<td align='left'>" + this.mobile + " </td>" +
//                                "<td align='left'>" + this.email + "</td>" +
//                                "<td align='left'><a href='" + this.action + "' ><i class='fa fa-pencil'></i></a></td>" +
//                                "</tr>";
//                    });
//                    $(".cloader").hide();
//                    $(".cTbody").empty();
//                    $(".cTbody").html(values);
//                    if (response) {
//                        $(".search-action-bar").show();
//                    }
//                }
//            },
//            error: function (request, textStatus, errorThrown) {
//
//            }
//        });
//    }
//    $("#search").click(function () {
//        getSearchData();
//    });
//    $(".cprev").click(function () {
//        getSearchData('prev');
//    });
//    $(".cnext").click(function () {
//        getSearchData('next');
//    });
//
//
//

    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////

});